Bug 1553683 - [OSP13] Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/tripleo-heat-templates/network/config/single-nic-vlans/compute.yaml
Summary: [OSP13] Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/triple...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Michele Baldessari
QA Contact: mlammon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-09 10:19 UTC by Michele Baldessari
Modified: 2018-06-27 13:35 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180326192239.e59fd2c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:35:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1752808 None None None 2018-03-09 10:19:48 UTC
OpenStack gerrit 551237 'None' MERGED Fix default nic config file names 2020-09-15 20:00:30 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:35:57 UTC

Description Michele Baldessari 2018-03-09 10:19:48 UTC
Description of problem:
Getting the following error executing the overcloud-deploy.sh
***
...
Processing environment files /home/stack/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml
Redirecting env file /home/stack/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml to /tmp/tripleoclient-7yIBX5/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml
Error Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/tripleo-heat-templates/network/config/single-nic-vlans/compute.yaml processing environment file /tmp/tripleoclient-7yIBX5/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml
Rewriting /tmp/tripleoclient-7yIBX5/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml environment to /tmp/tripleoclient-7yIBX5/tripleo-heat-templates/env-net-single-nic-with-vlans-r5vByh.yaml
Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/tripleo-heat-templates/network/config/single-nic-vlans/compute.yaml
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 400, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/command.py", line 25, in run
    super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/osc_lib/command/command.py", line 41, in run
    return super(Command, self).run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 184, in run
    return_code = self.take_action(parsed_args) or 0
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 950, in take_action
    self._deploy_tripleo_heat_templates_tmpdir(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 415, in _deploy_tripleo_heat_templates_tmpdir
    new_tht_root, tht_root)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 478, in _deploy_tripleo_heat_templates
    cleanup=not parsed_args.no_cleanup)
  File "/usr/lib/python2.7/site-packages/tripleoclient/v1/overcloud_deploy.py", line 237, in _process_multiple_environments
    env_path=f.name)
  File "/usr/lib/python2.7/site-packages/heatclient/common/template_utils.py", line 319, in process_environment_and_files
    env_base_url)
  File "/usr/lib/python2.7/site-packages/heatclient/common/template_utils.py", line 357, in resolve_environment_urls
    is_object=is_object, object_request=object_request)
  File "/usr/lib/python2.7/site-packages/heatclient/common/template_utils.py", line 161, in get_file_contents
    file_content = utils.read_url_content(str_url)
  File "/usr/lib/python2.7/site-packages/heatclient/common/utils.py", line 417, in read_url_content
    raise exc.CommandError(_('Could not fetch contents for %s') % url)
CommandError: Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/tripleo-heat-templates/network/config/single-nic-vlans/compute.yaml
clean_up DeployOvercloud: Could not fetch contents for file:///tmp/tripleoclient-7yIBX5/tripleo-heat-templates/network/config/single-nic-vlans/compute.yaml
...


Another form of the error can be (depending if your role has a deprecated_nic_config_name or not):
single-nic-with-vlans.yaml to /tmp/tripleoclient-iu6ZQG/tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml
[Errno 21] Is a directory: u'/tmp/tripleoclient-iu6ZQG/tripleo-heat-templates/network/config/single-nic-vlans/'

Comment 3 mlammon 2018-05-21 18:17:56 UTC
installed latest osp 13.  2018-05-18.1

env:
openstack-tripleo-heat-templates-8.0.2-22.el7ost.noarch

looked over upstream files and verified code downstream. will mark verified, please re-open ticket if issues still persists.

Comment 5 errata-xmlrpc 2018-06-27 13:35:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.